Package org.apache.cxf.interceptor.security

# Class NamePasswordCallbackHandler

java.lang.Object
org.apache.cxf.interceptor.security.NamePasswordCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`

public class NamePasswordCallbackHandler extends Object implements CallbackHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamePasswordCallbackHandler(String username, String password)`
  `NamePasswordCallbackHandler(String username, String password, String passwordCallbackName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handle(Callback[] callbacks)`
  `protected boolean`
  `handleCallback(Callback callback)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NamePasswordCallbackHandler

    public NamePasswordCallbackHandler(String username, String password)

  - ### NamePasswordCallbackHandler

    public NamePasswordCallbackHandler(String username, String password, String passwordCallbackName)

- ## Method Details

  - ### handle

    public void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException
    Specified by:
      `handle` in interface `CallbackHandler`
    Throws:
      `IOException`
      `UnsupportedCallbackException`

  - ### handleCallback

    protected boolean handleCallback(Callback callback)